.field-container {
  position: relative;
  border: solid 1px #d9d9d9;
  border-radius: 4px;
  transition: all 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);
  user-select: none;
  background: var(--container-background-color);

  &.disabled {
    color: rgba(0, 0, 0, 0.25);
    cursor: not-allowed;
    background: #f5f5f5;

    .clear-button {
      opacity: 0;
    }

    .sqtm-placeholder {
      color: rgba(0, 0, 0, 0.25);
    }
  }

  &.edit {
    box-shadow: 0 0 0 2px var(--current-workspace-brightest-color);
    border-color: var(--current-workspace-main-color);
  }

  &:hover:not(.disabled) {
    border-color: var(--current-workspace-main-color);
  }

  .text-field {
    max-width: 520px;
    padding-left: 6px;
    min-height: 1.5em;
    margin-right: 20px;
  }

  .clear-button {
    background: #fff;
    color: rgba(0, 0, 0, 0.25);
    cursor: pointer;
    line-height: 1;
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    transition:
      opacity 0.3s,
      color 0.3s;
    margin-right: 0.6em;
    opacity: 0;

    &:hover {
      color: rgba(0, 0, 0, 0.45);
    }

    &.visible {
      opacity: 1;
    }
  }
}

::ng-deep sqtm-core-grouped-multi-list > div.grouped-multi-list {
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.15) !important;
}
